# $Id: libmovtar.spec,v 1.3 2003/11/11 13:24:01 dude Exp $

%define jpegmmxver 0.1.4

Summary: Tools for the movtar MJPEG video format.
Name: libmovtar
Version: 0.1.3
Release: 3.fr
License: GPL
URL: http://mjpeg.sourceforge.net/
Group: Applications/Multimedia
Source0: http://prdownloads.sourceforge.net/mjpeg/libmovtar-%{version}.tar.gz
Source1: http://prdownloads.sourceforge.net/mjpeg/jpeg-mmx-%{jpegmmxver}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Requires: SDL, glib
BuildRequires: SDL-devel, glib-devel
# Sorry... :-(
ExclusiveArch: %ix86
%ifarch %ix86
BuildRequires: nasm
%endif

%description
This package includes libmovtar, the support library, and various
tools which together implement the movtar MJPEG video format.


%package devel
Summary: Development headers and libraries for the movtar MJPEG video format.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains static libraries and C system header files
needed to compile applications that use part of the libraries
of the mjpegtools package.


%prep
%setup -q -a 1
mv jpeg-mmx-* jpeg-mmx

%build
# For x86, we link against the bundled jpeg-mmx
%ifarch %ix86
    (cd jpeg-mmx && %configure && make libjpeg-mmx.a)
    %configure --with-jpeg-mmx="`pwd`/jpeg-mmx"
%else
    %configure
%endif
make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README*
%{_bindir}/movtar_*
%{_bindir}/pnm2rtj
%{_bindir}/rtjshow

%files devel
%defattr(-, root, root)
%{_bindir}/movtar-config
%{_includedir}/*
%{_libdir}/*.a
%{_datadir}/aclocal/*

%changelog
* Tue Nov 11 2003 Matthias Saou <http://freshrpms.net/> - 0.1.3-3.fr
- Rebuild for Fedora Core 1.
- Added missing nasm build requirement for jpeg-mmx.

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial release for Red Hat Linux 9.

